LFR-FSW - Bug #635

HK_LFR_DPU_SPW_LINK_STATE never changes
26/02/2016 11:33 AM - Veronique bouzid

Status: Closed Start date: 26/02/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Prévu pour 3.0.0.23 (Reponse de Paul)

Pour HK_LFR_DPU_SPW_LINK_STATE effectivement, je ne change jamais la valeur. La génération des HK n'étant pas arrétée
pendant la perte du lien, je vais faire en sorte qu'a la génération du paquet HK, le champ HK_LFR_DPU_SPW_LINK_STATE soit

une copie du contenu du registre de I'lP VHDL SpaceWire (fsw >= 3.0.0.23).

Related issues:
Related to Support #634: SEction HK_LFR_STATUS_WORD in TM_LFR_HK

Closed

23/02/2016

History

#1 - 26/02/2016 11:34 AM - Veronique bouzid
- Related to Support #634: SEction HK_LFR_STATUS_WORD in TM_LFR_HK added

#2 - 24/05/2016 10:22 PM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

Correction effectuée dans fsw >= 3.1.0.0.

#3 - 21/06/2016 03:07 PM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

Mettre la partie du code que tu as mis a jour pour tracabilité.

#4 - 21/06/2016 09:36 PM - paul leroy

Dans le module fsw_spacewire.c

void spacewire_update_hk_1fr_link_state( unsigned char *hk_1lfr_status_word_0 )

{
unsigned int *statusRegisterPtr;
unsigned char linkState;

statusRegisterPtr = (unsigned int *) (REGS_ADDR_GRSPW + APB_OFFSET_GRSPW_STATUS_REGISTER) ;
& 0x07); // [0000 0111]

linkState = (unsigned char) ( ( (*statusRegisterPtr) >> 21)
*hk_1fr_status_word_0 = *hk_1fr_status_word_0 & 0xf8;

*hk_1fr_status_word_0 = *hk_1fr_ status_word_0 | linkState;

#5 - 21/06/2016 09:36 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#6 - 21/06/2018 01:30 PM - Veronique bouzid
- Status changed from Feedback to Closed

20/03/2024

// [1111 1000] set link state to O

// update hk_lfr_dpu_spw_link_state
